Developer
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Cloud
API Access / Reference / REST API

API Token

Postman Collection
OpenAPI
GET

Get all API tokens in an org

Gets all user API tokens in an organization.

Scopes

OAuth 2.0 scopes required: read:tokens:admin

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

orgId

string

Required

Query parameters

q

string

status

string

createdAtSearchType

string

createdAtUom

string

createdAtValue

integer

createdAtFrom

string

createdAtTo

string

createdAtRangeFrom

string

createdAtRangeTo

string

lastActiveAtSearchType

string

Responses

Returned if the request is successful.

Headers

X-RateLimit-Limit

integer

X-RateLimit-Remaining

integer

X-RateLimit-Reset

string

application/json

ApiTokenSearchResponse
GET/orgs/{orgId}/api-tokens
1 2 3 curl --request GET \ --url 'https://api.atlassian.com/admin/api-access/v1/orgs/{orgId}/api-tokens' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 { "data": [ { "id": "<string>", "label": "<string>", "status": "ALLOWED", "createdAt": "<string>", "expiresAt": "<string>", "lastActiveAt": "<string>", "user": { "id": "<string>", "orgId": "<string>", "name": "<string>", "email": "<string>" }, "scopes": [ "<string>" ] } ], "links": { "self": "<string>", "next": "<string>", "prev": "<string>" } }
DEL

Bulk revoke API tokens in an organization

Revokes all managed user API tokens in an organization by orgID.

Scopes

OAuth 2.0 scopes required: delete:tokens:admin

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

orgId

string

Required

Responses

Successful operation

DEL/orgs/{orgId}/api-tokens
1 2 curl --request DELETE \ --url 'https://api.atlassian.com/admin/api-access/v1/orgs/{orgId}/api-tokens'
GET

Get API token count in an org

Gets count of user API tokens in an organization.

Scopes

OAuth 2.0 scopes required: read:tokens:admin

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

orgId

string

Required

Query parameters

q

string

status

string

createdAtSearchType

string

createdAtUom

string

createdAtValue

integer

createdAtFrom

string

createdAtTo

string

createdAtRangeFrom

string

createdAtRangeTo

string

lastActiveAtSearchType

string

Responses

Returned if the request is successful.

Headers

X-RateLimit-Limit

integer

X-RateLimit-Remaining

integer

X-RateLimit-Reset

string

application/json

integer

GET/orgs/{orgId}/api-tokens/count
1 2 3 curl --request GET \ --url 'https://api.atlassian.com/admin/api-access/v1/orgs/{orgId}/api-tokens/count' \ --header 'Accept: application/json'
POST

Get service account API token count in an org

Gets count of API tokens for specified service accounts within an organization.

Scopes

OAuth 2.0 scopes required: read:service-accounts-tokens:admin

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

orgId

string

Required

Request bodyapplication/json

List of service account IDs to count API tokens for

array<string>

Max items: 100

Responses

Returned if the request is successful.

Headers

X-RateLimit-Limit

integer

X-RateLimit-Remaining

integer

X-RateLimit-Reset

string

application/json

ServiceAccountCredentialCountResponse
POST/orgs/{orgId}/service-accounts/count
1 2 3 4 5 6 7 curl --request POST \ --url 'https://api.atlassian.com/admin/api-access/v1/orgs/{orgId}/service-accounts/count' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '[ "<string>" ]'
200Response
1 2 3 4 5 6 7 8 9 10 11 { "validServiceAccountIds": [ { "serviceAccountId": "<string>", "credentialsCount": 49 } ], "invalidServiceAccountIds": [ "<string>" ] }
GET

Get all service account API tokens in an org

Retrieves API tokens for a specific service account within an organization.

Scopes

OAuth 2.0 scopes required: read:service-accounts-tokens:admin

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

orgId

string

Required
accountId

string

Required

Query parameters

tokenLabel

string

Responses

Returned if the request is successful.

Headers

X-RateLimit-Limit

integer

X-RateLimit-Remaining

integer

X-RateLimit-Reset

string

application/json

array<ApiToken>

List of API tokens for the service account

GET/orgs/{orgId}/service-accounts/{accountId}/api-tokens
1 2 3 curl --request GET \ --url 'https://api.atlassian.com/admin/api-access/v1/orgs/{orgId}/service-accounts/{accountId}/api-tokens' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 [ { "id": "<string>", "label": "<string>", "status": "ALLOWED", "createdAt": "<string>", "expiresAt": "<string>", "lastActiveAt": "<string>", "user": { "id": "<string>", "orgId": "<string>", "name": "<string>", "email": "<string>" }, "scopes": [ "<string>" ] } ]
DEL

Revoke all API tokens for a service account

Revokes all API tokens for a specific service account within an organization.

Scopes

OAuth 2.0 scopes required: delete:service-accounts-tokens:admin

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

orgId

string

Required
accountId

string

Required

Responses

Returned if the request is successful.

Headers

X-RateLimit-Limit

integer

X-RateLimit-Remaining

integer

X-RateLimit-Reset

string

DEL/orgs/{orgId}/service-accounts/{accountId}/api-tokens
1 2 curl --request DELETE \ --url 'https://api.atlassian.com/admin/api-access/v1/orgs/{orgId}/service-accounts/{accountId}/api-tokens'

Rate this page: